idn2_to_unicode_4z4z(3)

NAME
idn2_to_unicode_4z4z - API function

SYNOPSIS
#include <idn2.h>

int idn2_to_unicode_4z4z(const uint32_t * input, uint32_t ** output, int flags);

ARGUMENTS

const uint32_t * input
    Input zero-terminated UTF-32 string.

uint32_t ** output
    Newly allocated UTF-32 output string.

int flags
    Currently unused.

DESCRIPTION
Converts a possibly ACE encoded domain name in UTF-32 format into a UTF-32 string (punycode decoding). The output buffer will be zero-terminated and must be deallocated by the caller.
 output may be NULL to test lookup of input without allocating memory.

SINCE
2.0.0

REPORTING BUGS
Report bugs to <help-libidn@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
Libidn2 home page: https://www.gnu.org/software/libidn2/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn2 is maintained as a Texinfo manual. If the info and libidn2 programs are properly installed at your site, the command

    info libidn2

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/libidn2/manual/